Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Interface DeliveryChannelMBean

public interface DeliveryChannelMBean

The DeliveryChannelMBean interface represents a Delivery Channel. A Delivery Channel describes a Party's message receiving characteristics.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `disable()` Disables this delivery channel so that new conversations and participants can no longer use this delivery channel during normal system operations.
`void` | `enable()` Enables this delivery channel so that new conversations and participants can use this delivery channel during normal system operations.
`CollaborationAgreementMBean[]` | `getActiveCollaborationAgreements()` Gets all the active CollaborationAgreements that are using this delivery channel.
`ConversationMBean[]` | `getActiveConversations()` Gets active conversations for all of the active conversations in this delivery channel.
`CollaborationAgreementMBean[]` | `getCollaborationAgreements()` Gets all the CollaborationAgreements that are using this delivery channel.
`java.lang.String` | `getName()` Gets the name of the Delivery Channel.
`int` | `getNumMessagesSent()` Gets the number of messages sent.
`int` | `getStatus()` Gets the status of the Delivery Channel.
`TradingPartnerSessionMBean[]` | `getTradingPartnerSessions()` Gets TradingPartnerSessionMBeans for all sessions in this delivery channel.
`boolean` | `isEnabled()` Determines whether this delivery channel is enabled (true) or not (false).

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the Delivery Channel.

  Returns:
    String - name of the Delivery Channel.

### getStatus

    public int getStatus()

  Gets the status of the Delivery Channel.

  Returns:
    int - status of the Delivery Channel.

### getCollaborationAgreements

    public CollaborationAgreementMBean[] getCollaborationAgreements()
                                                             throws ManagementException

  Gets all the CollaborationAgreements that are using this delivery channel.

  Returns:
    CollaborationAgreementMBean[] - Array of CollaborationAgreements MBeans.

### getActiveCollaborationAgreements

    public CollaborationAgreementMBean[] getActiveCollaborationAgreements()
                                                                   throws ManagementException

  Gets all the active CollaborationAgreements that are using this delivery channel.

  Returns:
    CollaborationAgreementMBean[] - Array of CollaborationAgreement MBeans.

### getNumMessagesSent

    public int getNumMessagesSent()
                           throws ManagementException

  Gets the number of messages sent.

  Returns:
    int - Number of messages sent.

### getTradingPartnerSessions

    public TradingPartnerSessionMBean[] getTradingPartnerSessions()
                                                           throws ManagementException

  Gets TradingPartnerSessionMBeans for all sessions in this delivery channel.

  Returns:
    TradingPartnerSessionMBean[] - Array of TradingPartnerSessionMBeans
  Throws:
    ManagementException - If an error occurred.

### getActiveConversations

    public ConversationMBean[] getActiveConversations()
                                               throws ManagementException

  Gets active conversations for all of the active conversations in this delivery channel.

  Returns:
    ConversationMBean[] - Array of ConversationMBeans for active conversations.
  Throws:
    ManagementException - If an error occurred.

### enable

    public void enable()
                throws ManagementException

  Enables this delivery channel so that new conversations and participants can use this delivery channel during normal system operations. This state is persisted to the WebLogic Collaborate server repository and survives restarts of the WebLogic Collaborate server. Enabling an already enabled delivery channel has no effect.

  Throws:
    ManagementException - If an error occurred when enabling this delivery channel.

### disable

    public void disable()
                 throws ManagementException

  Disables this delivery channel so that new conversations and participants can no longer use this delivery channel during normal system operations. This state is persisted to the WebLogic Collaborate server repository and survives restarts of the WebLogic Collaborate server. Disabling an already disabled delivery channel has no effect.

  Throws:
    ManagementException - If an error occurred when disabling this delivery channel.

### isEnabled

    public boolean isEnabled()
                      throws ManagementException

  Determines whether this delivery channel is enabled (true) or not (false).

  Returns:
    boolean - True if this delivery channel is enabled, or false if not.
  Throws:
    ManagementException - If an error occurred while attempting to determine whether this delivery channel is enabled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)